Index: trunk/SophyaLib/SkyMap/Makefile.mgr
===================================================================
--- trunk/SophyaLib/SkyMap/Makefile.mgr	(revision 2735)
+++ trunk/SophyaLib/SkyMap/Makefile.mgr	(revision 2735)
@@ -0,0 +1,261 @@
+include ../Mgr/Makefile.h
+ 
+all: $(LIB)libSkyMap.a
+clean:
+	rm -f $(OBJ)HEALPixUtils.o $(OBJ)fiolocalmap.o $(OBJ)fiosphereecp.o $(OBJ)fiospherehealpix.o $(OBJ)fiospherethetaphi.o $(OBJ)localmap.o $(OBJ)longlat.o $(OBJ)mapoperation.o $(OBJ)skymapinit.o $(OBJ)sphereecp.o $(OBJ)spherehealpix.o $(OBJ)spherepos.o $(OBJ)spherethetaphi.o $(OBJ)unitvector.o $(OBJ)utilgeom.o $(OBJ)vector3d.o
+	rm -f $(LIB)libSkyMap.a
+$(LIB)libSkyMap.a : $(OBJ)HEALPixUtils.o $(OBJ)fiolocalmap.o $(OBJ)fiosphereecp.o $(OBJ)fiospherehealpix.o $(OBJ)fiospherethetaphi.o $(OBJ)localmap.o $(OBJ)longlat.o $(OBJ)mapoperation.o $(OBJ)skymapinit.o $(OBJ)sphereecp.o $(OBJ)spherehealpix.o $(OBJ)spherepos.o $(OBJ)spherethetaphi.o $(OBJ)unitvector.o $(OBJ)utilgeom.o $(OBJ)vector3d.o
+	$(ARCXX) $(ARCXXFLAGS) $@ $($(ARARGS))
+ifeq ($(CXX),cxx)
+	$(CXX) $? $(CPPFLAGS) $(CXXFLAGS) -o $(OBJ)xx.x -Hf
+endif 
+ 
+$(OBJ)HEALPixUtils.o: HEALPixUtils.cc HEALPixUtils.h \
+ $(INC)machdefs.h \
+ $(INC)ndatablock.h \
+ $(INC)anydataobj.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)mutyv.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h \
+ $(INC)ppfbinstream.h \
+ $(INC)rawstream.h \
+ $(INC)ppfnametag.h \
+ $(INC)utilarr.h \
+ $(INC)smathconst.h
+$(OBJ)fiolocalmap.o: fiolocalmap.cc fiolocalmap.h sphericalmap.h \
+ $(INC)smathconst.h \
+ $(INC)machdefs.h pixelmap.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h \
+ $(INC)ppfbinstream.h \
+ $(INC)rawstream.h \
+ $(INC)ppfnametag.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)anydataobj.h \
+ $(INC)mutyv.h spherepos.h unitvector.h \
+ vector3d.h longlat.h utilgeom.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h localmap.h \
+ $(INC)fioarr.h \
+ $(INC)fiondblock.h \
+ $(INC)datatype.h
+$(OBJ)fiosphereecp.o: fiosphereecp.cc fiosphereecp.h sphereecp.h \
+ sphericalmap.h $(INC)smathconst.h \
+ $(INC)machdefs.h pixelmap.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h \
+ $(INC)ppfbinstream.h \
+ $(INC)rawstream.h \
+ $(INC)ppfnametag.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)anydataobj.h \
+ $(INC)mutyv.h spherepos.h unitvector.h \
+ vector3d.h longlat.h utilgeom.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h \
+ $(INC)fioarr.h \
+ $(INC)datatype.h
+$(OBJ)fiospherehealpix.o: fiospherehealpix.cc fiospherehealpix.h \
+ sphericalmap.h $(INC)smathconst.h \
+ $(INC)machdefs.h pixelmap.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h \
+ $(INC)ppfbinstream.h \
+ $(INC)rawstream.h \
+ $(INC)ppfnametag.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)anydataobj.h \
+ $(INC)mutyv.h spherepos.h unitvector.h \
+ vector3d.h longlat.h utilgeom.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h spherehealpix.h \
+ HEALPixUtils.h $(INC)fiondblock.h \
+ $(INC)datatype.h
+$(OBJ)fiospherethetaphi.o: fiospherethetaphi.cc fiospherethetaphi.h \
+ sphericalmap.h $(INC)smathconst.h \
+ $(INC)machdefs.h pixelmap.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h \
+ $(INC)ppfbinstream.h \
+ $(INC)rawstream.h \
+ $(INC)ppfnametag.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)anydataobj.h \
+ $(INC)mutyv.h spherepos.h unitvector.h \
+ vector3d.h longlat.h utilgeom.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h spherethetaphi.h \
+ $(INC)fiondblock.h \
+ $(INC)datatype.h
+$(OBJ)localmap.o: localmap.cc localmap.h pixelmap.h \
+ $(INC)ppersist.h \
+ $(INC)machdefs.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h \
+ $(INC)ppfbinstream.h \
+ $(INC)rawstream.h \
+ $(INC)ppfnametag.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)anydataobj.h \
+ $(INC)mutyv.h spherepos.h unitvector.h \
+ vector3d.h longlat.h utilgeom.h sphericalmap.h \
+ $(INC)smathconst.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h \
+ $(INC)fiondblock.h \
+ $(INC)timing.h
+$(OBJ)longlat.o: longlat.cc longlat.h \
+ $(INC)machdefs.h utilgeom.h
+$(OBJ)mapoperation.o: mapoperation.cc \
+ $(INC)machdefs.h mapoperation.h \
+ $(INC)ndatablock.h \
+ $(INC)anydataobj.h pixelmap.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h \
+ $(INC)ppfbinstream.h \
+ $(INC)rawstream.h \
+ $(INC)ppfnametag.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)mutyv.h spherepos.h unitvector.h \
+ vector3d.h longlat.h utilgeom.h
+$(OBJ)skymapinit.o: skymapinit.cc $(INC)machdefs.h \
+ skymapinit.h $(INC)sophyainit.h \
+ spherethetaphi.h sphericalmap.h \
+ $(INC)smathconst.h pixelmap.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h \
+ $(INC)ppfbinstream.h \
+ $(INC)rawstream.h \
+ $(INC)ppfnametag.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)anydataobj.h \
+ $(INC)mutyv.h spherepos.h unitvector.h \
+ vector3d.h longlat.h utilgeom.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h fiospherehealpix.h \
+ spherehealpix.h HEALPixUtils.h fiospherethetaphi.h fiolocalmap.h \
+ localmap.h fiosphereecp.h sphereecp.h
+$(OBJ)sphereecp.o: sphereecp.cc sphereecp.h sphericalmap.h \
+ $(INC)smathconst.h \
+ $(INC)machdefs.h pixelmap.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h \
+ $(INC)ppfbinstream.h \
+ $(INC)rawstream.h \
+ $(INC)ppfnametag.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)anydataobj.h \
+ $(INC)mutyv.h spherepos.h unitvector.h \
+ vector3d.h longlat.h utilgeom.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h
+$(OBJ)spherehealpix.o: spherehealpix.cc \
+ $(INC)machdefs.h \
+ $(INC)pexceptions.h \
+ $(INC)fiondblock.h \
+ $(INC)ppersist.h \
+ $(INC)gnumd5.h \
+ $(INC)ppfbinstream.h \
+ $(INC)rawstream.h \
+ $(INC)ppfnametag.h \
+ $(INC)ndatablock.h \
+ $(INC)anydataobj.h spherehealpix.h \
+ sphericalmap.h $(INC)smathconst.h pixelmap.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)mutyv.h spherepos.h unitvector.h \
+ vector3d.h longlat.h utilgeom.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)utilarr.h HEALPixUtils.h \
+ $(INC)strutil.h
+$(OBJ)spherepos.o: spherepos.cc spherepos.h \
+ $(INC)machdefs.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h \
+ $(INC)ppfbinstream.h \
+ $(INC)rawstream.h \
+ $(INC)ppfnametag.h unitvector.h vector3d.h \
+ longlat.h utilgeom.h $(INC)anydataobj.h \
+ $(INC)datatype.h
+$(OBJ)spherethetaphi.o: spherethetaphi.cc spherethetaphi.h sphericalmap.h \
+ $(INC)smathconst.h \
+ $(INC)machdefs.h pixelmap.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h \
+ $(INC)ppfbinstream.h \
+ $(INC)rawstream.h \
+ $(INC)ppfnametag.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)anydataobj.h \
+ $(INC)mutyv.h spherepos.h unitvector.h \
+ vector3d.h longlat.h utilgeom.h \
+ $(INC)tvector.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h \
+ $(INC)fiondblock.h
+$(OBJ)unitvector.o: unitvector.cc unitvector.h vector3d.h longlat.h \
+ $(INC)machdefs.h utilgeom.h
+$(OBJ)utilgeom.o: utilgeom.cc $(INC)machdefs.h \
+ utilgeom.h
+$(OBJ)vector3d.o: vector3d.cc $(INC)machdefs.h \
+ $(INC)pexceptions.h vector3d.h longlat.h \
+ utilgeom.h
